Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network219.78.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
219.78.0.0
Broadcast address
219.78.127.255
First usable
219.78.0.1
Last usable
219.78.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
C (default /24)
As numbers
Hex DB4E0000 · Integer 3679322112 to 3679354879
Reverse DNS zones
0.78.219.in-addr.arpa
1.78.219.in-addr.arpa
2.78.219.in-addr.arpa
3.78.219.in-addr.arpa
4.78.219.in-addr.arpa
5.78.219.in-addr.arpa
6.78.219.in-addr.arpa
7.78.219.in-addr.arpa
8.78.219.in-addr.arpa
9.78.219.in-addr.arpa
10.78.219.in-addr.arpa
11.78.219.in-addr.arpa
12.78.219.in-addr.arpa
13.78.219.in-addr.arpa
14.78.219.in-addr.arpa
15.78.219.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11011011.01001110.00000000.00000000219.78.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network11011011.01001110.00000000.00000000219.78.0.0
Broadcast11011011.01001110.01111111.11111111219.78.127.255
Split into smaller subnets/28

219.78.0.0/17 makes 2,048 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1219.78.0.0/28219.78.0.1 to 219.78.0.14219.78.0.1514
2219.78.0.16/28219.78.0.17 to 219.78.0.30219.78.0.3114
3219.78.0.32/28219.78.0.33 to 219.78.0.46219.78.0.4714
4219.78.0.48/28219.78.0.49 to 219.78.0.62219.78.0.6314
5219.78.0.64/28219.78.0.65 to 219.78.0.78219.78.0.7914
6219.78.0.80/28219.78.0.81 to 219.78.0.94219.78.0.9514
7219.78.0.96/28219.78.0.97 to 219.78.0.110219.78.0.11114
8219.78.0.112/28219.78.0.113 to 219.78.0.126219.78.0.12714
9219.78.0.128/28219.78.0.129 to 219.78.0.142219.78.0.14314
10219.78.0.144/28219.78.0.145 to 219.78.0.158219.78.0.15914
11219.78.0.160/28219.78.0.161 to 219.78.0.174219.78.0.17514
12219.78.0.176/28219.78.0.177 to 219.78.0.190219.78.0.19114
13219.78.0.192/28219.78.0.193 to 219.78.0.206219.78.0.20714
14219.78.0.208/28219.78.0.209 to 219.78.0.222219.78.0.22314
15219.78.0.224/28219.78.0.225 to 219.78.0.238219.78.0.23914
16219.78.0.240/28219.78.0.241 to 219.78.0.254219.78.0.25514
17219.78.1.0/28219.78.1.1 to 219.78.1.14219.78.1.1514
18219.78.1.16/28219.78.1.17 to 219.78.1.30219.78.1.3114
19219.78.1.32/28219.78.1.33 to 219.78.1.46219.78.1.4714
20219.78.1.48/28219.78.1.49 to 219.78.1.62219.78.1.6314
21219.78.1.64/28219.78.1.65 to 219.78.1.78219.78.1.7914
22219.78.1.80/28219.78.1.81 to 219.78.1.94219.78.1.9514
23219.78.1.96/28219.78.1.97 to 219.78.1.110219.78.1.11114
24219.78.1.112/28219.78.1.113 to 219.78.1.126219.78.1.12714
25219.78.1.128/28219.78.1.129 to 219.78.1.142219.78.1.14314
26219.78.1.144/28219.78.1.145 to 219.78.1.158219.78.1.15914
27219.78.1.160/28219.78.1.161 to 219.78.1.174219.78.1.17514
28219.78.1.176/28219.78.1.177 to 219.78.1.190219.78.1.19114
29219.78.1.192/28219.78.1.193 to 219.78.1.206219.78.1.20714
30219.78.1.208/28219.78.1.209 to 219.78.1.222219.78.1.22314
31219.78.1.224/28219.78.1.225 to 219.78.1.238219.78.1.23914
32219.78.1.240/28219.78.1.241 to 219.78.1.254219.78.1.25514
33219.78.2.0/28219.78.2.1 to 219.78.2.14219.78.2.1514
34219.78.2.16/28219.78.2.17 to 219.78.2.30219.78.2.3114
35219.78.2.32/28219.78.2.33 to 219.78.2.46219.78.2.4714
36219.78.2.48/28219.78.2.49 to 219.78.2.62219.78.2.6314
37219.78.2.64/28219.78.2.65 to 219.78.2.78219.78.2.7914
38219.78.2.80/28219.78.2.81 to 219.78.2.94219.78.2.9514
39219.78.2.96/28219.78.2.97 to 219.78.2.110219.78.2.11114
40219.78.2.112/28219.78.2.113 to 219.78.2.126219.78.2.12714
41219.78.2.128/28219.78.2.129 to 219.78.2.142219.78.2.14314
42219.78.2.144/28219.78.2.145 to 219.78.2.158219.78.2.15914
43219.78.2.160/28219.78.2.161 to 219.78.2.174219.78.2.17514
44219.78.2.176/28219.78.2.177 to 219.78.2.190219.78.2.19114
45219.78.2.192/28219.78.2.193 to 219.78.2.206219.78.2.20714
46219.78.2.208/28219.78.2.209 to 219.78.2.222219.78.2.22314
47219.78.2.224/28219.78.2.225 to 219.78.2.238219.78.2.23914
48219.78.2.240/28219.78.2.241 to 219.78.2.254219.78.2.25514
49219.78.3.0/28219.78.3.1 to 219.78.3.14219.78.3.1514
50219.78.3.16/28219.78.3.17 to 219.78.3.30219.78.3.3114
51219.78.3.32/28219.78.3.33 to 219.78.3.46219.78.3.4714
52219.78.3.48/28219.78.3.49 to 219.78.3.62219.78.3.6314
53219.78.3.64/28219.78.3.65 to 219.78.3.78219.78.3.7914
54219.78.3.80/28219.78.3.81 to 219.78.3.94219.78.3.9514
55219.78.3.96/28219.78.3.97 to 219.78.3.110219.78.3.11114
56219.78.3.112/28219.78.3.113 to 219.78.3.126219.78.3.12714
57219.78.3.128/28219.78.3.129 to 219.78.3.142219.78.3.14314
58219.78.3.144/28219.78.3.145 to 219.78.3.158219.78.3.15914
59219.78.3.160/28219.78.3.161 to 219.78.3.174219.78.3.17514
60219.78.3.176/28219.78.3.177 to 219.78.3.190219.78.3.19114
61219.78.3.192/28219.78.3.193 to 219.78.3.206219.78.3.20714
62219.78.3.208/28219.78.3.209 to 219.78.3.222219.78.3.22314
63219.78.3.224/28219.78.3.225 to 219.78.3.238219.78.3.23914
64219.78.3.240/28219.78.3.241 to 219.78.3.254219.78.3.25514
65219.78.4.0/28219.78.4.1 to 219.78.4.14219.78.4.1514
66219.78.4.16/28219.78.4.17 to 219.78.4.30219.78.4.3114
67219.78.4.32/28219.78.4.33 to 219.78.4.46219.78.4.4714
68219.78.4.48/28219.78.4.49 to 219.78.4.62219.78.4.6314
69219.78.4.64/28219.78.4.65 to 219.78.4.78219.78.4.7914
70219.78.4.80/28219.78.4.81 to 219.78.4.94219.78.4.9514
71219.78.4.96/28219.78.4.97 to 219.78.4.110219.78.4.11114
72219.78.4.112/28219.78.4.113 to 219.78.4.126219.78.4.12714
73219.78.4.128/28219.78.4.129 to 219.78.4.142219.78.4.14314
74219.78.4.144/28219.78.4.145 to 219.78.4.158219.78.4.15914
75219.78.4.160/28219.78.4.161 to 219.78.4.174219.78.4.17514
76219.78.4.176/28219.78.4.177 to 219.78.4.190219.78.4.19114
77219.78.4.192/28219.78.4.193 to 219.78.4.206219.78.4.20714
78219.78.4.208/28219.78.4.209 to 219.78.4.222219.78.4.22314
79219.78.4.224/28219.78.4.225 to 219.78.4.238219.78.4.23914
80219.78.4.240/28219.78.4.241 to 219.78.4.254219.78.4.25514
81219.78.5.0/28219.78.5.1 to 219.78.5.14219.78.5.1514
82219.78.5.16/28219.78.5.17 to 219.78.5.30219.78.5.3114
83219.78.5.32/28219.78.5.33 to 219.78.5.46219.78.5.4714
84219.78.5.48/28219.78.5.49 to 219.78.5.62219.78.5.6314
85219.78.5.64/28219.78.5.65 to 219.78.5.78219.78.5.7914
86219.78.5.80/28219.78.5.81 to 219.78.5.94219.78.5.9514
87219.78.5.96/28219.78.5.97 to 219.78.5.110219.78.5.11114
88219.78.5.112/28219.78.5.113 to 219.78.5.126219.78.5.12714
89219.78.5.128/28219.78.5.129 to 219.78.5.142219.78.5.14314
90219.78.5.144/28219.78.5.145 to 219.78.5.158219.78.5.15914
91219.78.5.160/28219.78.5.161 to 219.78.5.174219.78.5.17514
92219.78.5.176/28219.78.5.177 to 219.78.5.190219.78.5.19114
93219.78.5.192/28219.78.5.193 to 219.78.5.206219.78.5.20714
94219.78.5.208/28219.78.5.209 to 219.78.5.222219.78.5.22314
95219.78.5.224/28219.78.5.225 to 219.78.5.238219.78.5.23914
96219.78.5.240/28219.78.5.241 to 219.78.5.254219.78.5.25514
97219.78.6.0/28219.78.6.1 to 219.78.6.14219.78.6.1514
98219.78.6.16/28219.78.6.17 to 219.78.6.30219.78.6.3114
99219.78.6.32/28219.78.6.33 to 219.78.6.46219.78.6.4714
100219.78.6.48/28219.78.6.49 to 219.78.6.62219.78.6.6314
101219.78.6.64/28219.78.6.65 to 219.78.6.78219.78.6.7914
102219.78.6.80/28219.78.6.81 to 219.78.6.94219.78.6.9514
103219.78.6.96/28219.78.6.97 to 219.78.6.110219.78.6.11114
104219.78.6.112/28219.78.6.113 to 219.78.6.126219.78.6.12714
105219.78.6.128/28219.78.6.129 to 219.78.6.142219.78.6.14314
106219.78.6.144/28219.78.6.145 to 219.78.6.158219.78.6.15914
107219.78.6.160/28219.78.6.161 to 219.78.6.174219.78.6.17514
108219.78.6.176/28219.78.6.177 to 219.78.6.190219.78.6.19114
109219.78.6.192/28219.78.6.193 to 219.78.6.206219.78.6.20714
110219.78.6.208/28219.78.6.209 to 219.78.6.222219.78.6.22314
111219.78.6.224/28219.78.6.225 to 219.78.6.238219.78.6.23914
112219.78.6.240/28219.78.6.241 to 219.78.6.254219.78.6.25514
113219.78.7.0/28219.78.7.1 to 219.78.7.14219.78.7.1514
114219.78.7.16/28219.78.7.17 to 219.78.7.30219.78.7.3114
115219.78.7.32/28219.78.7.33 to 219.78.7.46219.78.7.4714
116219.78.7.48/28219.78.7.49 to 219.78.7.62219.78.7.6314
117219.78.7.64/28219.78.7.65 to 219.78.7.78219.78.7.7914
118219.78.7.80/28219.78.7.81 to 219.78.7.94219.78.7.9514
119219.78.7.96/28219.78.7.97 to 219.78.7.110219.78.7.11114
120219.78.7.112/28219.78.7.113 to 219.78.7.126219.78.7.12714
121219.78.7.128/28219.78.7.129 to 219.78.7.142219.78.7.14314
122219.78.7.144/28219.78.7.145 to 219.78.7.158219.78.7.15914
123219.78.7.160/28219.78.7.161 to 219.78.7.174219.78.7.17514
124219.78.7.176/28219.78.7.177 to 219.78.7.190219.78.7.19114
125219.78.7.192/28219.78.7.193 to 219.78.7.206219.78.7.20714
126219.78.7.208/28219.78.7.209 to 219.78.7.222219.78.7.22314
127219.78.7.224/28219.78.7.225 to 219.78.7.238219.78.7.23914
128219.78.7.240/28219.78.7.241 to 219.78.7.254219.78.7.25514
129219.78.8.0/28219.78.8.1 to 219.78.8.14219.78.8.1514
130219.78.8.16/28219.78.8.17 to 219.78.8.30219.78.8.3114
131219.78.8.32/28219.78.8.33 to 219.78.8.46219.78.8.4714
132219.78.8.48/28219.78.8.49 to 219.78.8.62219.78.8.6314
133219.78.8.64/28219.78.8.65 to 219.78.8.78219.78.8.7914
134219.78.8.80/28219.78.8.81 to 219.78.8.94219.78.8.9514
135219.78.8.96/28219.78.8.97 to 219.78.8.110219.78.8.11114
136219.78.8.112/28219.78.8.113 to 219.78.8.126219.78.8.12714
137219.78.8.128/28219.78.8.129 to 219.78.8.142219.78.8.14314
138219.78.8.144/28219.78.8.145 to 219.78.8.158219.78.8.15914
139219.78.8.160/28219.78.8.161 to 219.78.8.174219.78.8.17514
140219.78.8.176/28219.78.8.177 to 219.78.8.190219.78.8.19114
141219.78.8.192/28219.78.8.193 to 219.78.8.206219.78.8.20714
142219.78.8.208/28219.78.8.209 to 219.78.8.222219.78.8.22314
143219.78.8.224/28219.78.8.225 to 219.78.8.238219.78.8.23914
144219.78.8.240/28219.78.8.241 to 219.78.8.254219.78.8.25514
145219.78.9.0/28219.78.9.1 to 219.78.9.14219.78.9.1514
146219.78.9.16/28219.78.9.17 to 219.78.9.30219.78.9.3114
147219.78.9.32/28219.78.9.33 to 219.78.9.46219.78.9.4714
148219.78.9.48/28219.78.9.49 to 219.78.9.62219.78.9.6314
149219.78.9.64/28219.78.9.65 to 219.78.9.78219.78.9.7914
150219.78.9.80/28219.78.9.81 to 219.78.9.94219.78.9.9514
151219.78.9.96/28219.78.9.97 to 219.78.9.110219.78.9.11114
152219.78.9.112/28219.78.9.113 to 219.78.9.126219.78.9.12714
153219.78.9.128/28219.78.9.129 to 219.78.9.142219.78.9.14314
154219.78.9.144/28219.78.9.145 to 219.78.9.158219.78.9.15914
155219.78.9.160/28219.78.9.161 to 219.78.9.174219.78.9.17514
156219.78.9.176/28219.78.9.177 to 219.78.9.190219.78.9.19114
157219.78.9.192/28219.78.9.193 to 219.78.9.206219.78.9.20714
158219.78.9.208/28219.78.9.209 to 219.78.9.222219.78.9.22314
159219.78.9.224/28219.78.9.225 to 219.78.9.238219.78.9.23914
160219.78.9.240/28219.78.9.241 to 219.78.9.254219.78.9.25514
161219.78.10.0/28219.78.10.1 to 219.78.10.14219.78.10.1514
162219.78.10.16/28219.78.10.17 to 219.78.10.30219.78.10.3114
163219.78.10.32/28219.78.10.33 to 219.78.10.46219.78.10.4714
164219.78.10.48/28219.78.10.49 to 219.78.10.62219.78.10.6314
165219.78.10.64/28219.78.10.65 to 219.78.10.78219.78.10.7914
166219.78.10.80/28219.78.10.81 to 219.78.10.94219.78.10.9514
167219.78.10.96/28219.78.10.97 to 219.78.10.110219.78.10.11114
168219.78.10.112/28219.78.10.113 to 219.78.10.126219.78.10.12714
169219.78.10.128/28219.78.10.129 to 219.78.10.142219.78.10.14314
170219.78.10.144/28219.78.10.145 to 219.78.10.158219.78.10.15914
171219.78.10.160/28219.78.10.161 to 219.78.10.174219.78.10.17514
172219.78.10.176/28219.78.10.177 to 219.78.10.190219.78.10.19114
173219.78.10.192/28219.78.10.193 to 219.78.10.206219.78.10.20714
174219.78.10.208/28219.78.10.209 to 219.78.10.222219.78.10.22314
175219.78.10.224/28219.78.10.225 to 219.78.10.238219.78.10.23914
176219.78.10.240/28219.78.10.241 to 219.78.10.254219.78.10.25514
177219.78.11.0/28219.78.11.1 to 219.78.11.14219.78.11.1514
178219.78.11.16/28219.78.11.17 to 219.78.11.30219.78.11.3114
179219.78.11.32/28219.78.11.33 to 219.78.11.46219.78.11.4714
180219.78.11.48/28219.78.11.49 to 219.78.11.62219.78.11.6314
181219.78.11.64/28219.78.11.65 to 219.78.11.78219.78.11.7914
182219.78.11.80/28219.78.11.81 to 219.78.11.94219.78.11.9514
183219.78.11.96/28219.78.11.97 to 219.78.11.110219.78.11.11114
184219.78.11.112/28219.78.11.113 to 219.78.11.126219.78.11.12714
185219.78.11.128/28219.78.11.129 to 219.78.11.142219.78.11.14314
186219.78.11.144/28219.78.11.145 to 219.78.11.158219.78.11.15914
187219.78.11.160/28219.78.11.161 to 219.78.11.174219.78.11.17514
188219.78.11.176/28219.78.11.177 to 219.78.11.190219.78.11.19114
189219.78.11.192/28219.78.11.193 to 219.78.11.206219.78.11.20714
190219.78.11.208/28219.78.11.209 to 219.78.11.222219.78.11.22314
191219.78.11.224/28219.78.11.225 to 219.78.11.238219.78.11.23914
192219.78.11.240/28219.78.11.241 to 219.78.11.254219.78.11.25514
193219.78.12.0/28219.78.12.1 to 219.78.12.14219.78.12.1514
194219.78.12.16/28219.78.12.17 to 219.78.12.30219.78.12.3114
195219.78.12.32/28219.78.12.33 to 219.78.12.46219.78.12.4714
196219.78.12.48/28219.78.12.49 to 219.78.12.62219.78.12.6314
197219.78.12.64/28219.78.12.65 to 219.78.12.78219.78.12.7914
198219.78.12.80/28219.78.12.81 to 219.78.12.94219.78.12.9514
199219.78.12.96/28219.78.12.97 to 219.78.12.110219.78.12.11114
200219.78.12.112/28219.78.12.113 to 219.78.12.126219.78.12.12714
201219.78.12.128/28219.78.12.129 to 219.78.12.142219.78.12.14314
202219.78.12.144/28219.78.12.145 to 219.78.12.158219.78.12.15914
203219.78.12.160/28219.78.12.161 to 219.78.12.174219.78.12.17514
204219.78.12.176/28219.78.12.177 to 219.78.12.190219.78.12.19114
205219.78.12.192/28219.78.12.193 to 219.78.12.206219.78.12.20714
206219.78.12.208/28219.78.12.209 to 219.78.12.222219.78.12.22314
207219.78.12.224/28219.78.12.225 to 219.78.12.238219.78.12.23914
208219.78.12.240/28219.78.12.241 to 219.78.12.254219.78.12.25514
209219.78.13.0/28219.78.13.1 to 219.78.13.14219.78.13.1514
210219.78.13.16/28219.78.13.17 to 219.78.13.30219.78.13.3114
211219.78.13.32/28219.78.13.33 to 219.78.13.46219.78.13.4714
212219.78.13.48/28219.78.13.49 to 219.78.13.62219.78.13.6314
213219.78.13.64/28219.78.13.65 to 219.78.13.78219.78.13.7914
214219.78.13.80/28219.78.13.81 to 219.78.13.94219.78.13.9514
215219.78.13.96/28219.78.13.97 to 219.78.13.110219.78.13.11114
216219.78.13.112/28219.78.13.113 to 219.78.13.126219.78.13.12714
217219.78.13.128/28219.78.13.129 to 219.78.13.142219.78.13.14314
218219.78.13.144/28219.78.13.145 to 219.78.13.158219.78.13.15914
219219.78.13.160/28219.78.13.161 to 219.78.13.174219.78.13.17514
220219.78.13.176/28219.78.13.177 to 219.78.13.190219.78.13.19114
221219.78.13.192/28219.78.13.193 to 219.78.13.206219.78.13.20714
222219.78.13.208/28219.78.13.209 to 219.78.13.222219.78.13.22314
223219.78.13.224/28219.78.13.225 to 219.78.13.238219.78.13.23914
224219.78.13.240/28219.78.13.241 to 219.78.13.254219.78.13.25514
225219.78.14.0/28219.78.14.1 to 219.78.14.14219.78.14.1514
226219.78.14.16/28219.78.14.17 to 219.78.14.30219.78.14.3114
227219.78.14.32/28219.78.14.33 to 219.78.14.46219.78.14.4714
228219.78.14.48/28219.78.14.49 to 219.78.14.62219.78.14.6314
229219.78.14.64/28219.78.14.65 to 219.78.14.78219.78.14.7914
230219.78.14.80/28219.78.14.81 to 219.78.14.94219.78.14.9514
231219.78.14.96/28219.78.14.97 to 219.78.14.110219.78.14.11114
232219.78.14.112/28219.78.14.113 to 219.78.14.126219.78.14.12714
233219.78.14.128/28219.78.14.129 to 219.78.14.142219.78.14.14314
234219.78.14.144/28219.78.14.145 to 219.78.14.158219.78.14.15914
235219.78.14.160/28219.78.14.161 to 219.78.14.174219.78.14.17514
236219.78.14.176/28219.78.14.177 to 219.78.14.190219.78.14.19114
237219.78.14.192/28219.78.14.193 to 219.78.14.206219.78.14.20714
238219.78.14.208/28219.78.14.209 to 219.78.14.222219.78.14.22314
239219.78.14.224/28219.78.14.225 to 219.78.14.238219.78.14.23914
240219.78.14.240/28219.78.14.241 to 219.78.14.254219.78.14.25514
241219.78.15.0/28219.78.15.1 to 219.78.15.14219.78.15.1514
242219.78.15.16/28219.78.15.17 to 219.78.15.30219.78.15.3114
243219.78.15.32/28219.78.15.33 to 219.78.15.46219.78.15.4714
244219.78.15.48/28219.78.15.49 to 219.78.15.62219.78.15.6314
245219.78.15.64/28219.78.15.65 to 219.78.15.78219.78.15.7914
246219.78.15.80/28219.78.15.81 to 219.78.15.94219.78.15.9514
247219.78.15.96/28219.78.15.97 to 219.78.15.110219.78.15.11114
248219.78.15.112/28219.78.15.113 to 219.78.15.126219.78.15.12714
249219.78.15.128/28219.78.15.129 to 219.78.15.142219.78.15.14314
250219.78.15.144/28219.78.15.145 to 219.78.15.158219.78.15.15914
251219.78.15.160/28219.78.15.161 to 219.78.15.174219.78.15.17514
252219.78.15.176/28219.78.15.177 to 219.78.15.190219.78.15.19114
253219.78.15.192/28219.78.15.193 to 219.78.15.206219.78.15.20714
254219.78.15.208/28219.78.15.209 to 219.78.15.222219.78.15.22314
255219.78.15.224/28219.78.15.225 to 219.78.15.238219.78.15.23914
256219.78.15.240/28219.78.15.241 to 219.78.15.254219.78.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses